<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');
include ('includes/simgeImage.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
$zyear= right($zdb,4);

mysqli_select_db($conn,$zdb);
$success = "";
$vouchno   = $_POST["evouchno"];
$passno   = $_POST["epassno"];
$path     = "../tlt/admin/pdf/";

$fileName    =  $vouchno . ".PDF";
$img_file    = $path. ($fileName);

//$fileName       = $_FILES["file1"]["name"]; // The file name
$fileTmpLoc     = $_FILES["file1"]["tmp_name"]; // File in the PHP tmp folder
$fileType       = $_FILES["file1"]["type"]; // The type of file it is
$fileSize       = $_FILES["file1"]["size"]; // File size in bytes
$fileErrorMsg   = $_FILES["file1"]["error"]; // 0 for false... and 1 for true
if (!$fileTmpLoc) { // if file not chosen
    echo "ERROR: Please browse for a file before clicking the upload button.";
    exit();
}
if (move_uploaded_file($fileTmpLoc, "$img_file")) {
    
    echo "$fileName upload is complete";

    ###########################SAVE PART################################################   
    $imgp = mysqli_query($conn,"SELECT * FROM `leadpdf`")or die(mysqli_error($conn));
    $gimg = mysqli_fetch_array($imgp);

    mysqli_query($conn,"DELETE FROM `leadpdf` WHERE vouchno='$vouchno'") or die(mysqli_error($conn));

    if ($gimg[vouchno] == $vouchno) {
        mysqli_query($conn,"UPDATE `leadpdf` SET `vouchno`='$vouchno', `pdfpath`='$img_file' WHERE `vouchno`='$vouchno'") or die(mysqli_error($conn));
    }

    mysqli_query($conn,"INSERT INTO `leadpdf`(`vouchno`, `pdfpath`)
                            VALUES('$vouchno', '$img_file')") or die(mysqli_error($conn));
} else {
    echo "move_uploaded_file function failed";
}

?>